Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util
Class ResolverUtil.AnnotatedWith

    java.lang.Object
      com.opensymphony.xwork2.util.ResolverUtil.ClassTest
          com.opensymphony.xwork2.util.ResolverUtil.AnnotatedWith

All Implemented Interfaces:
  ResolverUtil.Test

Enclosing class:
  ResolverUtil<T>

    public static class ResolverUtil.AnnotatedWith

extends ResolverUtil.ClassTest

A Test that checks to see if each class is annotated with a specific annotation. If it is, then the test returns true, otherwise false.

Constructor Summary
`ResolverUtil.AnnotatedWith(java.lang.Class<? extends java.lang.annotation.Annotation> annotation)` Construts an AnnotatedWith test for the specified annotation type.

Method Summary
`boolean` | `matches(java.lang.Class type)` Returns true if the type is annotated with the class provided to the constructor.
`java.lang.String` | `toString()`

Methods inherited from class com.opensymphony.xwork2.util.ResolverUtil.ClassTest
`doesMatchClass, doesMatchResource, matches`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResolverUtil.AnnotatedWith

    public ResolverUtil.AnnotatedWith(java.lang.Class<? extends java.lang.annotation.Annotation> annotation)

  Construts an AnnotatedWith test for the specified annotation type.

Method Detail

### matches

    public boolean matches(java.lang.Class type)

  Returns true if the type is annotated with the class provided to the constructor.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.